int a=int.Parse(Console.ReadLine());
int b=int.Parse(Console.ReadLine());
int x=int.Parse(Console.ReadLine());
int y=int.Parse(Console.ReadLine());
if(a-x=!0 && b-y==0)
{
    Console.WriteLine("prvi")
}
else if(b-y=!0 && a-x==0)
{
    Console.WriteLine("drugi")
}
else if(a-x==0 && b-y==0)
{
    Console.WriteLine("nijedan")
}
else
{
    Console.WriteLine("?")
}